<?php $__env->startSection('content'); ?>
    <div class="container">
        <h1 class="text-center mb-2 mt-1">Add Doctor</h1>
        <form action="<?php echo e(route('finddoctor.store')); ?>" method="POST" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <div class="form-group mb-2">
                <label for="name">Name:</label>
                <input type="text" name="name" class="form-control" value="<?php echo e(old('name')); ?>" required>
            </div>
            <div class="form-group mb-2">
                <label for="email">Email:</label>
                <input type="email" name="email" class="form-control" value="<?php echo e(old('email')); ?>" required>
            </div>
            <div class="form-group mb-2">
                <label for="image">Image:</label>
                <input type="file" name="image" class="form-control" required>
            </div>
            <div class="form-group mb-2">
                <label for="department">Department:</label>
                <select name="department_id" class="form-control" required>
                    <option value="">Select Department</option>
                    <?php $__currentLoopData = $departments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $department): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($department->id); ?>" <?php echo e(old('department_id') == $department->id ? 'selected' : ''); ?>><?php echo e($department->name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
            <div class="form-group mb-2">
                <label for="education">Education:</label>
                <input type="text" name="education" class="form-control" value="<?php echo e(old('education')); ?>" required>
            </div>
            <div class="form-group mb-2">
                <label for="experience">Experience:</label>
                <input type="text" name="experience" class="form-control" value="<?php echo e(old('experience')); ?>" required>
            </div>
            <div class="form-group mb-2">
                <label for="fees">Fees:</label>
                <input type="text" name="fees" class="form-control" value="<?php echo e(old('fees')); ?>" required>
            </div>
            <div class="form-group mb-2">
                <label for="about">About:</label>
                <textarea name="about" class="form-control" required><?php echo e(old('about')); ?></textarea>
            </div>
            
            <div class="form-group mb-2">
                <label for="degree">Degree:</label>
                <input type="text" name="degree" class="form-control" value="<?php echo e(old('degree')); ?>" required>
            </div>
            <div class="form-group mb-2">
                <label for="university">University:</label>
                <input type="text" name="university" class="form-control" value="<?php echo e(old('university')); ?>" required>
            </div>
            <div class="form-group mb-2">
                <label for="country">Country:</label>
                <input type="text" name="country" class="form-control" value="<?php echo e(old('country')); ?>" required>
            </div>
            <div class="form-group mb-2">
                <label for="phone">Phone:</label>
                <input type="text" name="phone" class="form-control" value="<?php echo e(old('phone')); ?>" required>
            </div>
            <div class="form-group mb-2">
                <label for="address">Address:</label>
                <textarea name="address" class="form-control" required><?php echo e(old('address')); ?></textarea>
            </div>
            <div class="form-group mb-2">
                <label for="gender">Gender:</label>
                <select name="gender" class="form-control" required>
                    <option value="men" <?php echo e(old('gender') == 'men' ? 'selected' : ''); ?>>Men</option>
                    <option value="women" <?php echo e(old('gender') == 'women' ? 'selected' : ''); ?>>Women</option>
                    <option value="other" <?php echo e(old('gender') == 'other' ? 'selected' : ''); ?>>Other</option>
                </select>
            </div>
            <div class="d-flex justify-content-between">
                <button type="submit" class="btn btn-primary">Submit</button>
                <a href="<?php echo e(URL('/dashboard')); ?>" class="btn btn-danger">Back to Dashboard</a>
            </div>
        </form>
    </div>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.main', ['title' => 'Doctor Create'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\Laravel\Doctor_Appointment_App\doctor_appointment_app\resources\views/doctor/create.blade.php ENDPATH**/ ?>