

<?php $__env->startSection('content'); ?>
<div class="container">
    <h1 class="text-center mb-2 mt-1">Edit Doctor</h1>
    <form action="<?php echo e(route('finddoctor.update', $doctor->id)); ?>" method="POST" enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
        <?php echo method_field('PUT'); ?>
        <?php if($doctor): ?>
                <div class="form-group mb-2">
                    <label for="name">Name:</label>
                    <input type="text" name="name" class="form-control" value="<?php echo e($doctor->name); ?>" required>
                </div>
                <div class="form-group mb-2">
                    <label for="email">Email:</label>
                    <input type="email" name="email" class="form-control" value="<?php echo e($doctor->email); ?>" required>
                </div>
                <div class="form-group mb-2">
                    <label for="image">Image:</label>
                    <input type="file" name="image" class="form-control">
                    <img src="<?php echo e(asset('storage/' . $doctor->image)); ?>" class="img-thumbnail mt-2" alt="Current Image" width="100">
                </div>
                <div class="form-group mb-2">
                    <label for="department_id">Department:</label>
                    <select name="department_id" class="form-control" required>
                        <option value="">Select Department</option>
                        <?php $__currentLoopData = $departments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $department): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($department->id); ?>" <?php echo e($doctor->department_id == $department->id ? 'selected' : ''); ?>><?php echo e($department->name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
                <div class="form-group mb-2">
                    <label for="education">Education:</label>
                    <input type="text" name="education" class="form-control" value="<?php echo e($doctor->education); ?>" required>
                </div>
                <div class="form-group mb-2">
                    <label for="experience">Experience:</label>
                    <input type="text" name="experience" class="form-control" value="<?php echo e($doctor->experience); ?>" required>
                </div>
                <div class="form-group mb-2">
                    <label for="fees">Fees:</label>
                    <input type="text" name="fees" class="form-control" value="<?php echo e($doctor->fees); ?>" required>
                </div>
                <div class="form-group mb-2">
                    <label for="about">About:</label>
                    <textarea name="about" class="form-control" required><?php echo e($doctor->about); ?></textarea>
                </div>
                
                <div class="form-group mb-2">
                    <label for="degree">Degree:</label>
                    <input type="text" name="degree" class="form-control" value="<?php echo e($doctor->degree); ?>" required>
                </div>
                <div class="form-group mb-2">
                    <label for="university">University:</label>
                    <input type="text" name="university" class="form-control" value="<?php echo e($doctor->university); ?>" required>
                </div>
                <div class="form-group mb-2">
                    <label for="country">Country:</label>
                    <input type="text" name="country" class="form-control" value="<?php echo e($doctor->country); ?>" required>
                </div>
                <div class="form-group mb-2">
                    <label for="phone">Phone:</label>
                    <input type="text" name="phone" class="form-control" value="<?php echo e($doctor->phone); ?>" required>
                </div>
                <div class="form-group mb-2">
                    <label for="address">Address:</label>
                    <textarea name="address" class="form-control" required><?php echo e($doctor->address); ?></textarea>
                </div>
                <div class="form-group mb-2">
                    <label for="gender">Gender:</label>
                    <select name="gender" class="form-control" required>
                        <option value="men" <?php echo e($doctor->gender == 'men' ? 'selected' : ''); ?>>Men</option>
                        <option value="women" <?php echo e($doctor->gender == 'women' ? 'selected' : ''); ?>>Women</option>
                        <option value="other" <?php echo e($doctor->gender == 'other' ? 'selected' : ''); ?>>Other</option>
                    </select>
                </div>
                <button type="submit" class="btn btn-primary">Submit</button>
            <?php endif; ?>
        </form>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main', ['title' => 'Doctor Edit'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\Laravel\Doctor_Appointment_App\doctor_appointment_app\resources\views/doctor/edit.blade.php ENDPATH**/ ?>